NamespaceManager (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.util.NamespaceManager class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.util
Class NamespaceManager

    java.lang.Object
      org.mule.module.xml.util.NamespaceManager

All Implemented Interfaces:
  Initialisable

    public class NamespaceManager

extends Object
implements Initialisable

A simple manager that holds a registry of global namespaces that will be recognised by all xml queries and transforms

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`NamespaceManager()`

Method Summary
`Map` | `getConfigNamespaces()`
`Map` | `getNamespaces()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isIncludeConfigNamespaces()`
`void` | `setConfigNamespaces(Map configNamespaces)`
`void` | `setIncludeConfigNamespaces(boolean includeConfigNamespaces)`
`void` | `setNamespaces(Map namespaces)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamespaceManager

    public NamespaceManager()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### isIncludeConfigNamespaces

    public boolean isIncludeConfigNamespaces()

### setIncludeConfigNamespaces

    public void setIncludeConfigNamespaces(boolean includeConfigNamespaces)

### getNamespaces

    public Map getNamespaces()

### setNamespaces

    public void setNamespaces(Map namespaces)

### getConfigNamespaces

    public Map getConfigNamespaces()

### setConfigNamespaces

    public void setConfigNamespaces(Map configNamespaces)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.